Subject: Re: bug#339 ffap thinks whole region is URL

From: [email-masked]
Date: Sat, 31 May 2008 12:08:22 +0800

Here is a new self contained report. Please try again with it.
$ nl -b a myfile
     1  http://en.wikipedia.org/wiki/Partyman
     2
     3  bla bla
$ emacs -Q -eval "(and(setq transient-mark-mode 't highlight-nonselected-windows 't)(ffap-bindings))" myfile
C-x h C-x C-f C-l

ffap thinks the whole region, i.e., the whole file, is the URL I want to
get. Obviously all I want is for ffap to just notice the URL of the
line I'm on.

And furthermore, as this is the first URL of the day, I needed the C-l
to wipe the windshield to see what it was prompting.

emacs-version "22.2.1".